# PSF-LoginServer - master - net.psforever.services.support.SupportActor
PSF - LoginServer - master - net.psforever.services.support.SupportActor
Keywords: PSF LoginServer master net.psforever.services.support.SupportActor

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package support
  Definition Classes
    services
- SimilarityComparator
- SupportActor
- SupportActorCaseConversions

c

net.psforever.services.support

# SupportActor 

###
Companion object SupportActor

#### abstract class SupportActor[A <: Entry] extends Actor

Source
  SupportActor.scala

Linear Supertypes
Actor, AnyRef, Any
Known Subclasses
RemoverActor, CorpseRemovalActor, DroppedItemRemover, TurretUpgrader

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SupportActor
2. Actor
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new SupportActor()

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Abstract Value Members

1.  abstract def ClearAll(): Unit
2.  abstract def ClearSpecific(targets: List[PlanetSideGameObject], zone: Zone): Unit
3.  abstract def HurryAll(): Unit
4.  abstract def HurrySpecific(targets: List[PlanetSideGameObject], zone: Zone): Unit
5.  abstract def InclusionTest(entry: A): Boolean

   Determine whether or not the resulting entry is valid for this process.

   Determine whether or not the resulting entry is valid for this process. The primary purpose of this function should be to determine if the appropriate type of object is being submitted. Override.

   entry

     the entry

   returns

     `true`, if it can be processed; `false`, otherwise

6.  abstract def receive: akka.actor.Actor.Receive
   Definition Classes
     Actor
7.  abstract def sameEntryComparator: SimilarityComparator[A]

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def PartitionTargetsFromList(list: List[A], targets: List[A], zone: Zone, comparator: SimilarityComparator[A] = sameEntryComparator): (List[A], List[A])
5.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
6.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
7.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
8.  def aroundPreStart(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  implicit val context: ActorContext
    Definition Classes
      Actor
13.  def debug(msg: String): Unit
14.  def entryManagementBehaviors: Receive
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  def info(msg: String): Unit
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
26.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
27.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
28.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
29.  implicit final val self: ActorRef
    Definition Classes
      Actor
30.  final def sender(): ActorRef
    Definition Classes
      Actor
31.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
32.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  def trace(msg: String): Unit
35.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
36.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
38.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped